## avahi-tqt 3.5.13.3~pre43

=== CMakeLists.txt ===
#################################################
#
#  (C) 2015 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( avahi-tqt )
set( PACKAGE avahi-tqt )
set( PACKAGE_VERSION 0.6.30 )


##### include essential cmake modules ###########

include( CheckSymbolExists )
include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" OFF )


##### setup architecture flags ##################

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### configure checks ##########################

find_package( TQt )
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( MOC_TQT_SCRIPT "${TQT_PREFIX}/bin/moc-tqt" )
if( NOT EXISTS ${MOC_TQT_SCRIPT} )
  tde_message_fatal( "moc-tqt not found!\n Check tqt installation." )
endif( NOT EXISTS ${MOC_TQT_SCRIPT} )

message( STATUS "Checking for avahi-common library" )
find_library( AVAHI_COMMON NAMES avahi-common )
if( NOT AVAHI_COMMON )
  tde_message_fatal( "avahi-common library are required, but not found on your system" )
endif( )
message( STATUS "  found ${AVAHI_COMMON}" )

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
  add_definitions( -D__KDE_HAVE_GCC_VISIBILITY )
endif( )


#### pkg-config #################################

set( prefix ${CMAKE_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}"
        exec_prefix ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${EXEC_INSTALL_PREFIX}" "\${exec_prefix}"
        libdir ${LIB_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}"
        includedir ${INCLUDE_INSTALL_DIR} )

configure_file( ${CMAKE_PROJECT_NAME}.pc.in ${CMAKE_PROJECT_NAME}.pc @ONLY )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.pc
         DESTINATION ${PKGCONFIG_INSTALL_DIR} )


##### build #####################################

tde_auto_add_subdirectories()

=== debian/changelog ===
avahi-tqt (4:3.5.13.3~pre43-0ubuntu12.04.0+3) precise; urgency=low

  * Automated git build for 143910035fbeb9c9a864fcdcd050c02dae8f25af

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Jun 2021 01:30:27 +0200

avahi-tqt (0.6.30-0ubuntu0) maverick; urgency=low

  * Initial build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 08 Oct 2011 22:38:00 -0600

## avahi-tqt 3.5.13.3~pre44

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 ##### general package setup #####################

=== debian/changelog ===
avahi-tqt (4:3.5.13.3~pre44-0raspbian9.0.0+3) raspbian-stretch; urgency=low

  * Automated git build for 4447a065b9982e2afc923a22451f97cec95c1dba

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 30 Dec 2021 14:50:42 +0100

avahi-tqt (0.6.30-0debian0) squeeze; urgency=low

  * Initial build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 08 Oct 2011 22:38:00 -0600

=== debian/control ===
Source: avahi-tqt
Section: net
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake-trinity, ninja-build,
               gcc,
               pkg-config,
               libtqtinterface-dev,
               libavahi-common-dev,
               libavahi-client-dev
Standards-Version: 3.9.1

Package: libavahi-tqt-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Avahi TQt integration library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This library contains the interface to integrate the Avahi libraries
 into a TQt main loop application.

Package: libavahi-tqt-dev
Section: libdevel
Architecture: any
Depends: libavahi-tqt-1 (= ${binary:Version}),
         ${misc:Depends},
         libtqtinterface-dev,
         libavahi-common-dev
Description: Development headers for the Avahi TQt integration library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the development headers for the interface
 to integrate the Avahi libraries  into a TQt main loop application.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

# Ensure at build time that the library has no dependencies on undefined
# symbols, and speed up loading.
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,-O1

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

## avahi-tqt 14.1.0

=== debian/changelog ===
avahi-tqt (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## avahi-tqt 14.1.1

=== debian/changelog ===
avahi-tqt (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Jul 2023 09:55:13 +0200

## avahi-tqt 14.1.2

=== debian/changelog ===
avahi-tqt (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:55:29 +0100

## avahi-tqt 14.1.3

=== debian/changelog ===
avahi-tqt (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Jul 2024 16:06:12 +0200

## avahi-tqt 14.1.4

=== debian/changelog ===
avahi-tqt (4:14.1.4-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: avahi-tqt
 Section: net
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Uploaders: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake-trinity, ninja-build,
+Build-Depends: cdbs, debhelper (>= 10~), quilt,
+               tde-cmake, ninja-build,
                gcc,
                pkg-config,
                libtqtinterface-dev,
@@ -15,6 +15,8 @@
 Package: libavahi-tqt-1
 Section: libs
 Architecture: any
+Replaces: libavahi-tqt-1 (<< 4:14.0.0~)
+Breaks: libavahi-tqt-1 (<< 4:14.0.0~)
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -32,6 +34,8 @@
 Package: libavahi-tqt-dev
 Section: libdevel
 Architecture: any
+Replaces: libavahi-tqt-dev (<< 4:14.0.0~)
+Breaks: libavahi-tqt-dev (<< 4:14.0.0~)
 Depends: libavahi-tqt-1 (= ${binary:Version}),
          ${misc:Depends},
          libtqtinterface-dev,

## avahi-tqt 14.1.5~pre0

=== debian/changelog ===
avahi-tqt (4:14.1.5~pre0-0ubuntu25.04.0+3) plucky; urgency=low

  * Automated git build for cb6ab29237eae830766f2b897e4cc04319cf7ef2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## avahi-tqt 14.1.5

=== debian/changelog ===
avahi-tqt (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 10~), quilt,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt,
                tde-cmake, ninja-build,
                gcc,
                pkg-config,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

# Ensure at build time that the library has no dependencies on undefined
# symbols, and speed up loading.
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,-O1

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DWITH_ALL_OPTIONS="ON"

## avahi-tqt 14.1.6~pre0

=== debian/changelog ===
avahi-tqt (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for cb6ab29237eae830766f2b897e4cc04319cf7ef2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## avahi-tqt 14.1.6~pre1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 3.1 )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 ##### general package setup #####################
@@ -27,7 +32,6 @@
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
@@ -40,12 +44,12 @@
 ##### optional stuff
 
 option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
-option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" OFF )
+option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 
 
 ##### setup architecture flags ##################
 
-tde_setup_architecture_flags( )
+tde_setup_compiler_flags( )
 
 include(TestBigEndian)
 test_big_endian(WORDS_BIGENDIAN)
@@ -71,7 +75,7 @@
 
 if( WITH_GCC_VISIBILITY )
   tde_setup_gcc_visibility( )
-  add_definitions( -D__KDE_HAVE_GCC_VISIBILITY )
+  add_definitions( -D__TDE_HAVE_GCC_VISIBILITY )
 endif( )
 
 
@@ -85,7 +89,7 @@
 string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}"
         includedir ${INCLUDE_INSTALL_DIR} )
 
-configure_file( ${CMAKE_PROJECT_NAME}.pc.in ${CMAKE_PROJECT_NAME}.pc @ONLY )
+configure_file( ${CMAKE_PROJECT_NAME}.pc.cmake ${CMAKE_PROJECT_NAME}.pc @ONLY )
 install( FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.pc
          DESTINATION ${PKGCONFIG_INSTALL_DIR} )

=== debian/changelog ===
avahi-tqt (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 87a63f73e2b4e693ea4426b4ed29c065e4415211
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:39:20 +0100

## avahi-tqt 14.2.0~pre7

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
 
 ##### setup architecture flags ##################
 
-tde_setup_compiler_flags( )
+tde_setup_architecture_flags( )
 
 include(TestBigEndian)
 test_big_endian(WORDS_BIGENDIAN)
@@ -61,10 +61,6 @@
 
 find_package( TQt )
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( MOC_TQT_SCRIPT "${TQT_PREFIX}/bin/moc-tqt" )
-if( NOT EXISTS ${MOC_TQT_SCRIPT} )
-  tde_message_fatal( "moc-tqt not found!\n Check tqt installation." )
-endif( NOT EXISTS ${MOC_TQT_SCRIPT} )
 
 message( STATUS "Checking for avahi-common library" )
 find_library( AVAHI_COMMON NAMES avahi-common )

=== avahi-tqt/CMakeLists.txt ===
#################################################
#
#  (C) 2015 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### library ###################################

set( target avahi-tqt )

tde_add_library(
  ${target} SHARED
  VERSION 1.0.0
  SOURCES qt-watch.cpp
  LINK ${AVAHI_COMMON} ${TQT_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

tde_add_library(
  ${target} STATIC_PIC
  SOURCES qt-watch.cpp
  LINK ${AVAHI_COMMON} ${TQT_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    qt-watch.moc
  COMMAND
    ${TQMOC_EXECUTABLE}
    ${CMAKE_CURRENT_SOURCE_DIR}/qt-watch.cpp
    -o qt-watch.moc
)

set_property(
  SOURCE qt-watch.cpp
  APPEND PROPERTY OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/qt-watch.moc
)


##### headers ###################################

install(
  FILES qt-watch.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/${CMAKE_PROJECT_NAME}
)

=== debian/changelog ===
avahi-tqt (4:14.2.0~pre7-0ubuntu22.04.0+7) jammy; urgency=low

  * Automated git build for b907b3983c89894ad2bcf6327ffef50609f39b09
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                tde-cmake, ninja-build,
                gcc,
                pkg-config,
-               libtqtinterface-dev,
+               libtqt3-mt-dev,
                libavahi-common-dev,
                libavahi-client-dev
 Standards-Version: 3.9.1
@@ -38,7 +38,7 @@
 Breaks: libavahi-tqt-dev (<< 4:14.0.0~)
 Depends: libavahi-tqt-1 (= ${binary:Version}),
          ${misc:Depends},
-         libtqtinterface-dev,
+         libtqt3-mt-dev,
          libavahi-common-dev
 Description: Development headers for the Avahi TQt integration library
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.

## avahi-tqt 14.2.0~pre8

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
 
 ##### setup architecture flags ##################
 
-tde_setup_architecture_flags( )
+tde_setup_compiler_flags( )
 
 include(TestBigEndian)
 test_big_endian(WORDS_BIGENDIAN)

=== debian/changelog ===
avahi-tqt (4:14.2.0~pre8-0ubuntu24.04.0+10) noble; urgency=low

  * Automated git build for 5b568d41ae0e056c901c909ac8f739350561cba1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#avahi-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 09:57:25 +0100

avahi-tqt (4:14.1.6~pre0-0) forky; urgency=low

  * Update symbols file.
  * Install libraries according to multi-arch rules.
  * Rename the package to match the library name and SO version.
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 23 Feb 2026 20:10:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,24 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: tde-cdbs, debhelper (>= 10~), quilt,
+Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt,
                tde-cmake, ninja-build,
-               gcc,
-               pkg-config,
+               pkgconf,
                libtqt3-mt-dev,
                libavahi-common-dev,
                libavahi-client-dev
 Standards-Version: 3.9.1
 
-Package: libavahi-tqt-1
+Package: libavahi-tqt1
 Section: libs
 Architecture: any
-Replaces: libavahi-tqt-1 (<< 4:14.0.0~)
-Breaks: libavahi-tqt-1 (<< 4:14.0.0~)
+Multi-Arch: same
+Conflicts: libavahi-tqt-1
+Provides: libavahi-tqt-1
+Replaces: libavahi-tqt-1
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: Avahi TQt integration library
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -34,9 +34,7 @@
 Package: libavahi-tqt-dev
 Section: libdevel
 Architecture: any
-Replaces: libavahi-tqt-dev (<< 4:14.0.0~)
-Breaks: libavahi-tqt-dev (<< 4:14.0.0~)
-Depends: libavahi-tqt-1 (= ${binary:Version}),
+Depends: libavahi-tqt1 (= ${binary:Version}),
          ${misc:Depends},
          libtqt3-mt-dev,
          libavahi-common-dev
